Page MenuHomePhabricator

Convert all scripts to TWN i18n
Open, NormalPublic

Description

All scripts should have i18n in TWN.

The following have TWN messages, but the script hasnt been updated to use the messages.

  • checkimages (only two of the messages are in TWN; more migration needed) (T220178)
  • image
  • imagetransfer
  • states_redirect
  • unusedfiles

The following do not have TWN messages:

  • cfd (site specific)
  • claimit not applicable, only wikibase site is used
  • coordinate_import not applicable, only wikibase site is used
  • create_categories (T220260)
  • data_ingestion
  • flickrripper
  • freebasemappingupload
  • harvest_template
  • illustrate_wikidata
  • imagerecat
  • imageuncat
  • listpages
  • login
  • match_images
  • newitem
  • nowcommons (already done in https://gerrit.wikimedia.org/r/#/c/pywikibot/core/+/174594/)
  • patrol not applicable
  • replicate_wiki
  • script_wui (not functional)
  • shell
  • templatecount
  • touch (done with T199042)
  • transferbot (T216898)
  • upload
  • version
  • watchlist

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
jayvdb renamed this task from Convert all scripts to i18n to Convert all scripts to TWN i18n.Aug 31 2015, 3:20 AM
jayvdb updated the task description. (Show Details)
jayvdb set Security to None.

Change 234935 had a related patch set uploaded (by John Vandenberg):
Add unusedfiles translations

https://gerrit.wikimedia.org/r/234935

Change 234936 had a related patch set uploaded (by John Vandenberg):
Add translations for states_redirect

https://gerrit.wikimedia.org/r/234936

Change 234943 had a related patch set uploaded (by John Vandenberg):
Add imagetransfer translations

https://gerrit.wikimedia.org/r/234943

Change 234945 had a related patch set uploaded (by John Vandenberg):
Add some checkimages translations

https://gerrit.wikimedia.org/r/234945

I've uploaded changesets for each of the scripts with existing i18n translations. checkimages has more i18n messages, but they could use some more analysis before wasting translator times. e.g. msg_del_comm is essentially add_text-adding.

Change 234936 merged by jenkins-bot:
Add translations for states_redirect

https://gerrit.wikimedia.org/r/234936

Restricted Application added a subscriber: Avicennasis. · View Herald TranscriptSep 8 2015, 1:06 PM

Change 234935 merged by jenkins-bot:
Add unusedfiles translations

https://gerrit.wikimedia.org/r/234935

Change 234945 merged by jenkins-bot:
Add some checkimages translations

https://gerrit.wikimedia.org/r/234945

jayvdb updated the task description. (Show Details)Sep 9 2015, 10:24 AM

Change 237985 had a related patch set uploaded (by John Vandenberg):
Add five new Pywikibot modules

https://gerrit.wikimedia.org/r/237985

Change 237985 merged by jenkins-bot:
Add five new Pywikibot modules

https://gerrit.wikimedia.org/r/237985

Change 239666 had a related patch set uploaded (by Xqt):
[i18n] Enable twn support

https://gerrit.wikimedia.org/r/239666

Change 239667 had a related patch set uploaded (by Xqt):
[i18n] enable twn support

https://gerrit.wikimedia.org/r/239667

Change 239668 had a related patch set uploaded (by Xqt):
[i18n] Enable twn support

https://gerrit.wikimedia.org/r/239668

Change 239669 had a related patch set uploaded (by Xqt):
[i18n] Enable twn support.

https://gerrit.wikimedia.org/r/239669

Some of these 'translations', especially edit summaries, should be localized by site, not by language.

Xqt added a subscriber: Xqt.Sep 20 2015, 1:02 PM

Some of these 'translations', especially edit summaries, should be localized by site, not by language.

See my comment in https://gerrit.wikimedia.org/r/#/c/239664/

How can 'commons' be converted to TWN? And checkimages/de.json obviously contains Wikipedia-specific language.

XZise added a subscriber: XZise.Sep 20 2015, 1:20 PM

Some of these 'translations', especially edit summaries, should be localized by site, not by language.

This looks like a job for T104821: Load settings from site then.

Change 239668 merged by jenkins-bot:
[i18n] Enable twn support

https://gerrit.wikimedia.org/r/239668

Change 239667 merged by jenkins-bot:
[i18n] enable twn support

https://gerrit.wikimedia.org/r/239667

Change 239666 abandoned by Xqt:
[i18n] Enable twn support

Reason:
due to alternate implementation

https://gerrit.wikimedia.org/r/239666

Change 239669 merged by jenkins-bot:
[i18n] Enable twn support.

https://gerrit.wikimedia.org/r/239669

jayvdb moved this task from Backlog to l10n on the Pywikibot-Scripts board.Oct 16 2015, 7:16 AM

Change 282195 had a related patch set uploaded (by Xqt):
[i18n] use i18n from twn for image.py

https://gerrit.wikimedia.org/r/282195

Change 282195 had a related patch set uploaded (by Xqt):
[i18n] use i18n from twn for image.py

https://gerrit.wikimedia.org/r/282195

Change 282195 merged by jenkins-bot:
[i18n] use i18n from twn for image.py

https://gerrit.wikimedia.org/r/282195

Magul moved this task from Backlog to Next release on the Pywikibot board.Nov 18 2016, 10:20 AM
Magul triaged this task as Low priority.
Magul raised the priority of this task from Low to Needs Triage.Nov 18 2016, 10:23 AM
Magul moved this task from Next release to Backlog on the Pywikibot board.
Zoranzoki21 triaged this task as Normal priority.
Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Oct 29 2017, 9:22 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

I have not time.. Sorry. And I no know how to do it.

Xqt updated the task description. (Show Details)Apr 15 2018, 7:12 PM
Xqt updated the task description. (Show Details)Feb 23 2019, 5:11 PM

Change 492481 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/i18n@master] [i18n] Add standardize_interwiki translations

https://gerrit.wikimedia.org/r/492481

Change 492481 merged by jenkins-bot:
[pywikibot/i18n@master] [i18n] Add standardize_interwiki translations

https://gerrit.wikimedia.org/r/492481

Xqt updated the task description. (Show Details)Apr 6 2019, 10:31 AM
Xqt updated the task description. (Show Details)Apr 9 2019, 2:46 PM
Xqt updated the task description. (Show Details)
Xqt updated the task description. (Show Details)Apr 9 2019, 2:54 PM

@Xqt: Removing Tracking-Neverending tag as there is a definite list and as this task can be considered resolved at some point.